#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <qtimer.h>
#include <qtextbrowser.h>
#include <PackageTree.h>
#include "maindialog.h"
#include "wait.h"
#include "info.h"
#include "about.h"
#include "yesno.h"

static const char description[] =
	I18N_NOOP("PLD Package Manager");

static const char version[] = "0.1";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open." ), 0 },
	KCmdLineLastOption
};

PackageTree *ptree;
Wait *wait;
MainDialog *mainwin;
About *abt;
KApplication *app;
Info *info;
YesNo *yesno;

int main(int argc, char **argv)
{
	KAboutData about("pacman", I18N_NOOP("pacman"), version, description,
		KAboutData::License_GPL, "(C) 2004 Bartosz Taudul", 0, 0, "wolf@pld-linux.org");
	about.addAuthor( "Bartosz Taudul", 0, "wolf@pld-linux.org" );
	KCmdLineArgs::init(argc, argv, &about);
	KCmdLineArgs::addCmdLineOptions( options );
	
	app=new KApplication;
	wait=new Wait;
	abt=new About;
	info=new Info;
	yesno=new YesNo;
	wait->text->setText(I18N_NOOP("Running poldek to load package information."));
	wait->show();
	mainwin=new MainDialog;
	app->setMainWidget(mainwin);
	QTimer::singleShot(20, mainwin, SLOT(fillup()));
	return app->exec();
}

