
#ifndef MAINDIALOG_H
#define MAINDIALOG_H

#include <string>
#include "maindlg.h"
#include <TreeDir.h>
#include <Package.h>
#include <Transaction.h>
#include <klistview.h>

class MainDialog : public maindlg
	{
		Q_OBJECT

	public:
		MainDialog(QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
		~MainDialog();
		/*$PUBLIC_FUNCTIONS$*/

	public slots:
		/*$PUBLIC_SLOTS$*/
		virtual void showabout();
		virtual void fillup();
		virtual void clickedgroup(QListViewItem*);
		virtual void clickedpackage(QListViewItem*);
		virtual void install();
		virtual void uninstall();

	protected:
		/*$PROTECTED_FUNCTIONS$*/
		void fill_groups();
		void fill_pkglist(const std::string&);
 		QListViewItem *generate_group_item(TreeDir&, QListView*, const std::string&);
		std::string getgroupname(QListViewItem*);
		
		Package *selpkg;
		Transaction *t;
		std::string selgrp;

	protected slots:
		/*$PROTECTED_SLOTS$*/
		virtual void install2();
		virtual void install3();
		virtual void install4();
		virtual void install_cleanup();
		virtual void uninstall2();
		virtual void uninstall3();
		virtual void uninstall4();
	};

#endif

